//
// HelloWorldClient.java
//
// This class creates the client-side service factory
// for the desired service, makes the remote procedure call,
// and displays the response.
//

public class HelloWorldClient {

  public static void main(String [] args) throws Exception {

    // Create an instance of the desired service

    HelloWorldService service = new HelloWorldService();


    // Use the factory method on the service to get the portType stub.

    HelloWorldServicePortType port = service.getHelloWorldServicePort();
 
    // Make the actual call

    String response = port.getMessage();

    System.out.println(response);
  }
}
