import java.io.*;
import javax.crypto.*;
import javax.crypto.spec.*;

public class EncryptData
{

/* This program uses Triple-DES (DESede) to encrypt a file.
   You pass the filename as a command-line parameter. The result
   is placed in a file with the same name as the original, but with
   ".enc" appended to it. */

    public static void main(String[] args)
    {
        try
        {
// Create an array to hold the key.
            byte[] encryptKey = "This is a test DESede key".getBytes();

// Create a DESede key spec from the key.
            DESedeKeySpec spec = new DESedeKeySpec(encryptKey);

// Get the secret key factory for generating DESede keys.
            SecretKeyFactory keyFactory = SecretKeyFactory.getInstance(
                "DESede");

// Generate a DESede SecretKey object.
            SecretKey theKey = keyFactory.generateSecret(spec);

// Create a DESede Cipher.
            Cipher cipher = Cipher.getInstance("DESede/ECB/PKCS5Padding");

// Initialize the cipher and put it into encrypt mode.
            cipher.init(Cipher.ENCRYPT_MODE, theKey);

// Open the file to encrypt.
            FileInputStream in = new FileInputStream(args[0]);

// Open the output file.
            FileOutputStream out = new FileOutputStream(args[0]+".enc");

            byte[] buffer = new byte[7];
            int len;

// Read one DES block at a time.
            while ((len = in.read(buffer)) > 0)
            {
                // Add the bytes to the cipher.
                byte[] encrypted = cipher.doFinal(buffer, 0, len);
                out.write(encrypted);
            }

            in.close();
            out.close();
        }
        catch (Exception exc)
        {
            exc.printStackTrace();
        }
    }
}
