import java.util.ArrayList;

public class SAXBooks
{
    private ArrayList bookList = new ArrayList();
    
    public SAXBooks()
    {
    }

    public void addBook( SAXBook book )
    {
        this.bookList.add( book );
    }

    public SAXBook getBook( int index )
    {
        if( index >= bookList.size() )
        {
            return null;
        }
        return ( SAXBook )bookList.get( index );
    }

    public SAXBook getLastBook()
    {
        return this.getBook( this.getBookSize() - 1 ); 
    }

    public int getBookSize()
    {
        return bookList.size();
    }
}
